import { module, test } from 'qunit';
import { setupRenderingTest } from 'ember-qunit';
import { render } from '@ember/test-helpers';
import { hbs } from 'ember-cli-htmlbars';

module('Integration | Component | sortable-item-accessible', function(hooks) {
  setupRenderingTest(hooks);

  test('it can yield text', async function(assert) {
    await render(hbs`
      <SortableItemAccessible>
        yielded text
      </SortableItemAccessible>
    `);

    assert.equal(this.element.textContent.trim(), 'yielded text');
  });
});
